Package org.pentaho.reporting.libraries.resourceloader.factory.drawable

# Class DrawableWrapper

java.lang.Object
org.pentaho.reporting.libraries.resourceloader.factory.drawable.DrawableWrapper

public class DrawableWrapper extends Object
Creation-Date: 05.12.2007, 19:15:56

Author:
  Thomas Morgner

## Constructor Summary

Constructors
Constructor
Description
`DrawableWrapper(Object maybeDrawable)`

## Method Summary

Modifier and Type
Method
Description
`void`
`draw(Graphics2D g2, Rectangle2D bounds)`
`Object`
`getBackend()`
`Dimension`
`getPreferredSize()`
Returns the preferred size of the drawable.
`static boolean`
`isDrawable(Object maybeDrawable)`
`boolean`
`isPreserveAspectRatio()`
Returns true, if this drawable will preserve an aspect ratio during the drawing.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DrawableWrapper

public DrawableWrapper(Object maybeDrawable)

## Method Details

### getBackend

public Object getBackend()

### draw

public void draw(Graphics2D g2, Rectangle2D bounds)

### getPreferredSize

public Dimension getPreferredSize()
Returns the preferred size of the drawable. If the drawable is aspect ratio aware, these bounds should be used to compute the preferred aspect ratio for this drawable.

Returns:
  the preferred size.

### isPreserveAspectRatio

public boolean isPreserveAspectRatio()
Returns true, if this drawable will preserve an aspect ratio during the drawing.

Returns:
  true, if an aspect ratio is preserved, false otherwise.

### isDrawable

public static boolean isDrawable(Object maybeDrawable)